Stream the authenticated owner's avatar image.
GET
/v1/account/avatar
const url = 'https://api.share2.us/v1/account/avatar';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.share2.us/v1/account/avatar \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The avatar image bytes.
Media typeimage/*
string format: binary
No avatar set.
default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}